### Class

# Foundry FileMonitorEvent

#### Description [src]

    final class Foundry.FileMonitorEvent : GObject.Object
    {
      /* No available fields */
    }

Represents an event that has occurred from a file monitor.

#### Ancestors

- GObject

#### Constructors

###### foundry_file_monitor_event_new

No description available.

#### Instance methods

###### foundry_file_monitor_event_dup_file

No description available.

###### foundry_file_monitor_event_dup_other_file

No description available.

###### foundry_file_monitor_event_get_event

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.FileMonitorEvent:event

No description available.

###### Foundry.FileMonitorEvent:file

No description available.

###### Foundry.FileMonitorEvent:other-file

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryFileMonitorEventClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.